/* Auteur: Votre Nom */
@import url('https://fonts.googleapis.com/css2?family=Airstrike&display=swap');

body {
    font-family: 'Airstrike', sans-serif;
    margin: 0;
    padding: 0;
    background-color: #1a1a1a;
    color: #f0f0f0;
    text-align: center;
}

header {
    background-color: #000;
    color: #e5e5e5;
    padding: 20px;
    border-bottom: 2px solid #333;
}

h1, h2, h3 {
    margin: 0.5em 0;
    color: #fff;
    font-weight: bold;
    text-shadow: 2px 2px 5px #000;
}

main {
    margin: 20px;
    padding: 20px;
    background-color: #111;
    border: 2px solid #333;
    border-radius: 15px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
}

.button {
    display: inline-block;
    padding: 10px 20px;
    margin: 10px;
    background-color: #444;
    color: #fff;
    text-decoration: none;
    border-radius: 5px;
    transition: background-color 0.3s;
}

.button:hover {
    background-color: #888;
}

form {
    margin: 0 auto;
    width: 50%;
    padding: 20px;
    background-color: #000;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.8);
    border: 2px solid #444;
}

table {
    width: 100%;
    color: #fff;
    border-spacing: 10px;
}

input {
    width: 100%;
    padding: 10px;
    margin: 10px 0;
    border-radius: 5px;
    border: 1px solid #444;
    background-color: #333;
    color: #fff;
}

.submit-btn {
    background-color: #444;
    color: #fff;
    padding: 10px 15px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s;
}

.submit-btn:hover {
    background-color: #888;
}

.carte-de-visite {
    margin: 20px auto;
    padding: 20px;
    background-color: #111;
    width: 40%;
    border-radius: 10px;
    box-shadow: 0 0 15px rgba(0, 0, 0, 0.7);
    border: 2px solid #333;
}

.social-links a {
    text-decoration: none;
    color: #888;
    margin: 0 10px;
    transition: color 0.3s;
}

.social-links a:hover {
    color: #fff;
}

@media (max-width: 768px) {
    form, .carte-de-visite {
        width: 90%;
    }
}
